Search tags
curl --request POST \
--url https://public-api.sessionboard.com/v1/event/{eventId}/tags \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"filters": {
"createdAt": {
"before": "2023-11-07T05:31:56Z",
"after": "2023-11-07T05:31:56Z"
},
"updatedAt": {
"before": "2023-11-07T05:31:56Z",
"after": "2023-11-07T05:31:56Z"
}
},
"sort": {},
"expand": []
}
'import requests
url = "https://public-api.sessionboard.com/v1/event/{eventId}/tags"
payload = {
"filters": {
"createdAt": {
"before": "2023-11-07T05:31:56Z",
"after": "2023-11-07T05:31:56Z"
},
"updatedAt": {
"before": "2023-11-07T05:31:56Z",
"after": "2023-11-07T05:31:56Z"
}
},
"sort": {},
"expand": []
}
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {
createdAt: {before: '2023-11-07T05:31:56Z', after: '2023-11-07T05:31:56Z'},
updatedAt: {before: '2023-11-07T05:31:56Z', after: '2023-11-07T05:31:56Z'}
},
sort: {},
expand: []
})
};
fetch('https://public-api.sessionboard.com/v1/event/{eventId}/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"pagination": {
"currentPage": 123,
"pageSize": 123,
"totalPages": 123,
"totalResults": 123
}
}Event — Tags
Search tags
Returns a paginated list of tags for an event.
POST
/
v1
/
event
/
{eventId}
/
tags
Search tags
Authorizations
ApiKeyBearerToken
Organization API token. Generate from Organization Settings → API Tokens.
Path Parameters
The event ID.
Query Parameters
Page number for pagination.
Required range:
1 <= x <= 999Number of results per page.
Required range:
1 <= x <= 100Body
application/json
Common search request body used across multiple endpoints.
Show child attributes
Show child attributes
Sorting options for search results.
Show child attributes
Show child attributes
Expand records with additional data. See the Expand parameter for linked_sources and composition details.
Available options:
translated_fields, subsession_details, linked_sources, composition ⌘I

